Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-03-23 The HDF5 Field Guide

Loading...
Searching...
No Matches
Java VOL Connector (H5VL) Interface

## Detailed Description

See also
  VOL connector (H5VL), C-API
  HDF5 Virtual Object Layer (VOL), User Guide

## Functions
static synchronized native void | H5VLclose (long connector_id) throws HDF5LibraryException
static synchronized native boolean | H5VLcmp_connector_cls (long conn_id1, long conn_id2) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id (long object_id) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id_by_name (String name) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id_by_value (int connector_value) throws HDF5LibraryException
static synchronized native String | H5VLget_connector_name (long object_id) throws HDF5LibraryException
static synchronized native boolean | H5VLis_connector_registered_by_name (String name) throws HDF5LibraryException
static synchronized native boolean | H5VLis_connector_registered_by_value (int connector_value) throws HDF5LibraryException
static synchronized native long | H5VLregister_connector_by_name (String connector_name, long vipl_id) throws HDF5LibraryException
static synchronized native long | H5VLregister_connector_by_value (int connector_value, long vipl_id) throws HDF5LibraryException
static synchronized native void | H5VLunregister_connector (long connector_id) throws HDF5LibraryException

## Function Documentation

## ◆ H5VLclose()

synchronized native void H5VLclose | ( | long | connector_id | ) | throws HDF5LibraryException
| static

H5VLclose closes a VOL connector ID.

Parameters

  connector_id | IN: Identifier of the connector.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLcmp_connector_cls()

synchronized native boolean H5VLcmp_connector_cls | ( | long | conn_id1,
|  | long | conn_id2 ) throws HDF5LibraryException
| static

H5VLcmp_connector_cls Determines whether two connector identifiers refer to the same connector.

Parameters

  conn_id1 | IN: Identifier of connector to compare.
  conn_id2 | IN: Identifier of connector to compare.

Returns
  true if the connector identifiers refer to the same connector, else false.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLget_connector_id()

synchronized native long H5VLget_connector_id | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5VLget_connector_id retrieves the ID for a registered VOL connector for a given object.

Parameters

  object_id | IN: Identifier of the object.

Returns
  a VOL connector ID

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLget_connector_id_by_name()

synchronized native long H5VLget_connector_id_by_name | ( | String | name | ) | throws HDF5LibraryException
| static

H5VLget_connector_id_by_name retrieves the ID for a registered VOL connector.

Parameters

  name | IN: name of the connector.

Returns
  a VOL connector ID

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLget_connector_id_by_value()

synchronized native long H5VLget_connector_id_by_value | ( | int | connector_value | ) | throws HDF5LibraryException
| static

H5VLget_connector_id_by_value retrieves the ID for a registered VOL connector.

Parameters

  connector_value | IN: value of the connector.

Returns
  a VOL connector ID

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLget_connector_name()

synchronized native String H5VLget_connector_name | ( | long | object_id | ) | throws HDF5LibraryException
| static

H5VLget_connector_name returns the connector name for the VOL associated with the object or file ID.

Parameters

  object_id | IN: Identifier of the object.

Returns
  the connector name

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLis_connector_registered_by_name()

synchronized native boolean H5VLis_connector_registered_by_name | ( | String | name | ) | throws HDF5LibraryException
| static

H5VLis_connector_registered_by_name tests whether a VOL class has been registered.

Parameters

  name | IN: name of the connector.

Returns
  true if a VOL connector with that name has been registered

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLis_connector_registered_by_value()

synchronized native boolean H5VLis_connector_registered_by_value | ( | int | connector_value | ) | throws HDF5LibraryException
| static

H5VLis_connector_registered_by_value tests whether a VOL class has been registered.

Parameters

  connector_value | IN: value of the connector.

Returns
  true if a VOL connector with that value has been registered

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLregister_connector_by_name()

synchronized native long H5VLregister_connector_by_name | ( | String | connector_name,
|  | long | vipl_id ) throws HDF5LibraryException
| static

H5VLregister_connector_by_name registers a new VOL connector as a member of the virtual object layer class.

Parameters

  connector_name | IN: name of the connector.
  vipl_id | IN: VOL initialization property list which must be created with H5Pcreate(H5P_VOL_INITIALIZE) (or H5P_DEFAULT).

Returns
  a VOL connector ID

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLregister_connector_by_value()

synchronized native long H5VLregister_connector_by_value | ( | int | connector_value,
|  | long | vipl_id ) throws HDF5LibraryException
| static

H5VLregister_connector_by_value registers a new VOL connector as a member of the virtual object layer class.

Parameters

  connector_value | IN: value of the connector.
  vipl_id | IN: VOL initialization property list which must be created with H5Pcreate(H5P_VOL_INITIALIZE) (or H5P_DEFAULT).

Returns
  a VOL connector ID

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5VLunregister_connector()

synchronized native void H5VLunregister_connector | ( | long | connector_id | ) | throws HDF5LibraryException
| static

H5VLunregister_connector removes a VOL connector ID from the library.

Parameters

  connector_id | IN: Identifier of the connector.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.